Any (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Any

    java.lang.Object
      org.hibernate.mapping.SimpleValue
          org.hibernate.mapping.Any

All Implemented Interfaces:
  Serializable, KeyValue, Value

    public class Any

extends SimpleValue

A Hibernate "any" type (ie. polymorphic association to one-of-several tables).

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.SimpleValue
`DEFAULT_ID_GEN_STRATEGY`

Constructor Summary
`Any(Mappings mappings, Table table)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`String` | `getIdentifierType()`
`String` | `getMetaType()`
`Map` | `getMetaValues()`
`Type` | `getType()`
`void` | `setIdentifierType(String identifierType)`
`void` | `setMetaType(String type)`
`void` | `setMetaValues(Map metaValues)`
`void` | `setTypeByReflection(String propertyClass, String propertyName)`
`void` | `setTypeUsingReflection(String className, String propertyName)`

Methods inherited from class org.hibernate.mapping.SimpleValue
`addColumn, addFormula, createForeignKey, createForeignKeyOfEntity, createIdentifierGenerator, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getConstraintColumns, getFetchMode, getForeignKeyName, getIdentifierGeneratorProperties, getIdentifierGeneratorStrategy, getMappings, getNullValue, getTable, getTypeName, getTypeParameters, hasFormula, isAlternateUniqueKey, isCascadeDeleteEnabled, isIdentityColumn, isNullable, isSimpleValue, isTypeSpecified, isUpdateable, isValid, setAlternateUniqueKey, setCascadeDeleteEnabled, setForeignKeyName, setIdentifierGeneratorProperties, setIdentifierGeneratorStrategy, setNullValue, setTable, setTypeName, setTypeParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Any

    public Any(Mappings mappings,
               Table table)

Method Detail

### getIdentifierType

    public String getIdentifierType()

### setIdentifierType

    public void setIdentifierType(String identifierType)

### getType

    public Type getType()
                 throws MappingException

  Specified by:
    `getType` in interface `Value`
  Overrides:
    `getType` in class `SimpleValue`
  Throws:
    `MappingException`

### setTypeByReflection

    public void setTypeByReflection(String propertyClass,
                                    String propertyName)

### getMetaType

    public String getMetaType()

### setMetaType

    public void setMetaType(String type)

### getMetaValues

    public Map getMetaValues()

### setMetaValues

    public void setMetaValues(Map metaValues)

### setTypeUsingReflection

    public void setTypeUsingReflection(String className,
                                       String propertyName)
                                throws MappingException

  Specified by:
    `setTypeUsingReflection` in interface `Value`
  Overrides:
    `setTypeUsingReflection` in class `SimpleValue`
  Throws:
    `MappingException`

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`
  Overrides:
    `accept` in class `SimpleValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.